import { FormControl } from '@angular/forms';
import { Sandbox, SelectedSandboxAndScenarioKeys } from './shared/app-state';
import 'rxjs/add/operator/debounceTime';
import 'rxjs/add/operator/distinctUntilChanged';
import { StateService } from './shared/state.service';
import { EventManager } from "@angular/platform-browser";
export declare class AppComponent {
    private stateService;
    private eventManager;
    commandBarActive: boolean;
    totalSandboxes: number;
    filteredSandboxes: Sandbox[];
    selectedSandboxAndScenarioKeys: SelectedSandboxAndScenarioKeys;
    filter: FormControl;
    scenarioLinkElements: any;
    constructor(sandboxes: Sandbox[], stateService: StateService, eventManager: EventManager);
    goToFirstScenario(event: any): void;
    onScenarioLinkKeyDown(scenarioElement: any, filterElement: any, event: any): void;
    onScenarioLinkKeyUp(scenarioElement: any, event: any): void;
    onScenarioClick(sandboxKey: any, scenarioKey: any, e: any): void;
    private goUp(scenarioElement);
    private goDown(scenarioElement);
    private focusScenarioLinkElement(index);
    private filterSandboxes(sandboxes, filter);
    private toggleCommandBar();
    private selectScenario(sandboxKey, scenarioKey);
}
